/**
* 文件：OperLogQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.base.system.oper.model;
import java.util.List;
/**
 * <p>Title: 操作日志</p>
 * <p>Description: OperLogQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class OperLogQuery extends OperLogEntity{
	private static final long serialVersionUID = 1547777703333L;
	/** 开始 序号，主键，自增长 */
	private Long idStart;

	/** 结束 序号，主键，自增长 */
	private Long idEnd;

	/** 增加 序号，主键，自增长 */
	private Long idIncrement;

	/** 序号，主键，自增长 */
	private List<Long> idList;

	/** 平台标识 */
	private List<String> platformMarkList;

	/** 开始 用户id */
	private Long userIdStart;

	/** 结束 用户id */
	private Long userIdEnd;

	/** 增加 用户id */
	private Long userIdIncrement;

	/** 用户id */
	private List<Long> userIdList;

	/** 用户名称 */
	private List<String> userNameList;

	/** 用户登录名 */
	private List<String> loginNameList;

	/** 请求地址 */
	private List<String> requestUrlList;

	/** 操作内容，记录操作具体信息，如修改前修改或的数据 */
	private List<String> contentList;

	/** 操作IP地址 */
	private List<String> ipList;

	/** 开始 操作时间 */
	private String logDateStart;

	/** 结束 操作时间 */
	private String logDateEnd;

	/** 开始 操作类型，0：新增，1：修改，2：删除 */
	private Integer operTypeStart;

	/** 结束 操作类型，0：新增，1：修改，2：删除 */
	private Integer operTypeEnd;

	/** 增加 操作类型，0：新增，1：修改，2：删除 */
	private Integer operTypeIncrement;

	/** 操作类型，0：新增，1：修改，2：删除 */
	private List<Integer> operTypeList;


	public OperLogQuery(){
	}
	/**
	 * 获取 开始 序号，主键，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 序号，主键，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 序号，主键，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 序号，主键，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 序号，主键，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 序号，主键，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 序号，主键，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 序号，主键，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 平台标识
	 * @return platformMarkList
	 */
	public List<String> getPlatformMarkList(){
		return this.platformMarkList;
	}

	/**
	 * 设置 平台标识
	 * @param platformMarkList
	 */
	public void setPlatformMarkList(List<String> platformMarkList){
		this.platformMarkList = platformMarkList;
	}

	/**
	 * 获取 开始 用户id
	 * @return userIdStart
	 */
	public Long getUserIdStart(){
		return this.userIdStart;
	}

	/**
	 * 设置 开始 用户id
	 * @param userIdStart
	 */
	public void setUserIdStart(Long userIdStart){
		this.userIdStart = userIdStart;
	}

	/**
	 * 获取 结束 用户id
	 * @return userIdEnd
	 */
	public Long getUserIdEnd(){
		return this.userIdEnd;
	}

	/**
	 * 设置 结束 用户id
	 * @param userIdEnd
	 */
	public void setUserIdEnd(Long userIdEnd){
		this.userIdEnd = userIdEnd;
	}

	/**
	 * 获取 增加 用户id
	 * @return userIdIncrement
	 */
	public Long getUserIdIncrement(){
		return this.userIdIncrement;
	}

	/**
	 * 设置 增加 用户id
	 * @param userIdIncrement
	 */
	public void setUserIdIncrement(Long userIdIncrement){
		this.userIdIncrement = userIdIncrement;
	}

	/**
	 * 获取 用户id
	 * @return userIdList
	 */
	public List<Long> getUserIdList(){
		return this.userIdList;
	}

	/**
	 * 设置 用户id
	 * @param userIdList
	 */
	public void setUserIdList(List<Long> userIdList){
		this.userIdList = userIdList;
	}

	/**
	 * 获取 用户名称
	 * @return userNameList
	 */
	public List<String> getUserNameList(){
		return this.userNameList;
	}

	/**
	 * 设置 用户名称
	 * @param userNameList
	 */
	public void setUserNameList(List<String> userNameList){
		this.userNameList = userNameList;
	}

	/**
	 * 获取 用户登录名
	 * @return loginNameList
	 */
	public List<String> getLoginNameList(){
		return this.loginNameList;
	}

	/**
	 * 设置 用户登录名
	 * @param loginNameList
	 */
	public void setLoginNameList(List<String> loginNameList){
		this.loginNameList = loginNameList;
	}

	/**
	 * 获取 请求地址
	 * @return requestUrlList
	 */
	public List<String> getRequestUrlList(){
		return this.requestUrlList;
	}

	/**
	 * 设置 请求地址
	 * @param requestUrlList
	 */
	public void setRequestUrlList(List<String> requestUrlList){
		this.requestUrlList = requestUrlList;
	}

	/**
	 * 获取 操作内容，记录操作具体信息，如修改前修改或的数据
	 * @return contentList
	 */
	public List<String> getContentList(){
		return this.contentList;
	}

	/**
	 * 设置 操作内容，记录操作具体信息，如修改前修改或的数据
	 * @param contentList
	 */
	public void setContentList(List<String> contentList){
		this.contentList = contentList;
	}

	/**
	 * 获取 操作IP地址
	 * @return ipList
	 */
	public List<String> getIpList(){
		return this.ipList;
	}

	/**
	 * 设置 操作IP地址
	 * @param ipList
	 */
	public void setIpList(List<String> ipList){
		this.ipList = ipList;
	}

	/**
	 * 获取 开始 操作时间
	 * @return logDateStart
	 */
	public String getLogDateStart(){
		return this.logDateStart;
	}

	/**
	 * 设置 开始 操作时间
	 * @param logDateStart
	 */
	public void setLogDateStart(String logDateStart){
		this.logDateStart = logDateStart;
	}

	/**
	 * 获取 结束 操作时间
	 * @return logDateEnd
	 */
	public String getLogDateEnd(){
		return this.logDateEnd;
	}

	/**
	 * 设置 结束 操作时间
	 * @param logDateEnd
	 */
	public void setLogDateEnd(String logDateEnd){
		this.logDateEnd = logDateEnd;
	}

	/**
	 * 获取 开始 操作类型，0：新增，1：修改，2：删除
	 * @return operTypeStart
	 */
	public Integer getOperTypeStart(){
		return this.operTypeStart;
	}

	/**
	 * 设置 开始 操作类型，0：新增，1：修改，2：删除
	 * @param operTypeStart
	 */
	public void setOperTypeStart(Integer operTypeStart){
		this.operTypeStart = operTypeStart;
	}

	/**
	 * 获取 结束 操作类型，0：新增，1：修改，2：删除
	 * @return operTypeEnd
	 */
	public Integer getOperTypeEnd(){
		return this.operTypeEnd;
	}

	/**
	 * 设置 结束 操作类型，0：新增，1：修改，2：删除
	 * @param operTypeEnd
	 */
	public void setOperTypeEnd(Integer operTypeEnd){
		this.operTypeEnd = operTypeEnd;
	}

	/**
	 * 获取 增加 操作类型，0：新增，1：修改，2：删除
	 * @return operTypeIncrement
	 */
	public Integer getOperTypeIncrement(){
		return this.operTypeIncrement;
	}

	/**
	 * 设置 增加 操作类型，0：新增，1：修改，2：删除
	 * @param operTypeIncrement
	 */
	public void setOperTypeIncrement(Integer operTypeIncrement){
		this.operTypeIncrement = operTypeIncrement;
	}

	/**
	 * 获取 操作类型，0：新增，1：修改，2：删除
	 * @return operTypeList
	 */
	public List<Integer> getOperTypeList(){
		return this.operTypeList;
	}

	/**
	 * 设置 操作类型，0：新增，1：修改，2：删除
	 * @param operTypeList
	 */
	public void setOperTypeList(List<Integer> operTypeList){
		this.operTypeList = operTypeList;
	}


}